/*
 Navicat Premium Data Transfer

 Source Server         : localhostMysql
 Source Server Type    : MySQL
 Source Server Version : 80034
 Source Host           : localhost:3306
 Source Schema         : gaswellwatch

 Target Server Type    : MySQL
 Target Server Version : 80034
 File Encoding         : 65001

 Date: 30/10/2024 11:13:08
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for menu
-- ----------------------------
DROP TABLE IF EXISTS `menu`;
CREATE TABLE `menu` (
  `id` bigint NOT NULL,
  `parent` bigint DEFAULT NULL COMMENT '父节点',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '名称',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '编码',
  `icon` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '图标',
  `sort` int DEFAULT '0' COMMENT '顺序',
  `extra` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '外部数据',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- ----------------------------
-- Records of menu
-- ----------------------------
BEGIN;
INSERT INTO `menu` (`id`, `parent`, `name`, `code`, `icon`, `sort`, `extra`, `create_time`, `update_time`) VALUES (1834499936926826496, 0, '设备管理', 'Device', NULL, 1, '{\"url\":\"device\",\"menuType\":{\"key\":\"4\",\"value\":\"\"}}', '2024-09-13 15:50:42', '2024-09-13 15:50:42');
INSERT INTO `menu` (`id`, `parent`, `name`, `code`, `icon`, `sort`, `extra`, `create_time`, `update_time`) VALUES (1834500910013743104, 0, '系统管理', 'System', NULL, 11, '{\"url\":\"system\",\"menuType\":{\"key\":\"4\",\"value\":\"\"}}', '2024-09-13 15:54:34', '2024-09-24 16:23:28');
INSERT INTO `menu` (`id`, `parent`, `name`, `code`, `icon`, `sort`, `extra`, `create_time`, `update_time`) VALUES (1834500987037941760, 1834500910013743104, '用户管理', 'SystemUser', NULL, 1, '{\"url\":\"user\",\"menuType\":{\"key\":\"4\",\"value\":\"\"}}', '2024-09-13 15:54:53', '2024-09-13 15:54:53');
INSERT INTO `menu` (`id`, `parent`, `name`, `code`, `icon`, `sort`, `extra`, `create_time`, `update_time`) VALUES (1834501029547212800, 1834500910013743104, '角色权限', 'SystemRole', NULL, 2, '{\"url\":\"role\",\"menuType\":{\"key\":\"4\",\"value\":\"\"}}', '2024-09-13 15:55:03', '2024-09-13 15:55:03');
INSERT INTO `menu` (`id`, `parent`, `name`, `code`, `icon`, `sort`, `extra`, `create_time`, `update_time`) VALUES (1834501061923045376, 1834500910013743104, '自定义菜单', 'SystemMenus', NULL, 3, '{\"url\":\"menus\",\"menuType\":{\"key\":\"4\",\"value\":\"\"}}', '2024-09-13 15:55:11', '2024-09-13 15:55:11');
INSERT INTO `menu` (`id`, `parent`, `name`, `code`, `icon`, `sort`, `extra`, `create_time`, `update_time`) VALUES (1834501113332629504, 1834500910013743104, '系统日志', 'SystemRecords', NULL, 4, '{\"url\":\"records\",\"menuType\":{\"key\":\"4\",\"value\":\"\"}}', '2024-09-13 15:55:23', '2024-09-13 15:55:23');
INSERT INTO `menu` (`id`, `parent`, `name`, `code`, `icon`, `sort`, `extra`, `create_time`, `update_time`) VALUES (1834501151140085760, 1834500910013743104, '个性化设置', 'SystemPersonal', NULL, 5, '{\"url\":\"personal\",\"menuType\":{\"key\":\"4\",\"value\":\"\"}}', '2024-09-13 15:55:32', '2024-09-13 15:55:32');
INSERT INTO `menu` (`id`, `parent`, `name`, `code`, `icon`, `sort`, `extra`, `create_time`, `update_time`) VALUES (1834501183620775936, 1834500910013743104, '图标管理', 'SystemIcons', NULL, 6, '{\"url\":\"icons\",\"menuType\":{\"key\":\"4\",\"value\":\"\"}}', '2024-09-13 15:55:40', '2024-09-13 15:55:40');
COMMIT;

-- ----------------------------
-- Table structure for role
-- ----------------------------
DROP TABLE IF EXISTS `role`;
CREATE TABLE `role` (
  `id` bigint NOT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '名称',
  `description` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '描述',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- ----------------------------
-- Records of role
-- ----------------------------
BEGIN;
INSERT INTO `role` (`id`, `name`, `description`, `create_time`, `update_time`) VALUES (1, '超级管理员', '内置', '2024-08-20 11:36:35', '2024-08-26 16:29:02');
INSERT INTO `role` (`id`, `name`, `description`, `create_time`, `update_time`) VALUES (1836575681450868736, '测试角色', '', '2024-09-19 09:18:59', '2024-09-19 09:18:59');
INSERT INTO `role` (`id`, `name`, `description`, `create_time`, `update_time`) VALUES (1836581703372505088, '测试角色22', '测试角色2', '2024-09-19 09:42:54', '2024-09-19 09:55:03');
INSERT INTO `role` (`id`, `name`, `description`, `create_time`, `update_time`) VALUES (1836581757135093760, '测试角色234', '测试角色2', '2024-09-19 09:43:07', '2024-09-19 09:46:25');
INSERT INTO `role` (`id`, `name`, `description`, `create_time`, `update_time`) VALUES (1851162080074268672, '测试角色123', 'test', '2024-10-29 15:20:07', '2024-10-29 15:20:07');
COMMIT;

-- ----------------------------
-- Table structure for role_menu
-- ----------------------------
DROP TABLE IF EXISTS `role_menu`;
CREATE TABLE `role_menu` (
  `id` bigint NOT NULL,
  `role_id` bigint DEFAULT NULL COMMENT '角色id',
  `menu_id` bigint DEFAULT NULL COMMENT '菜单id',
  `identifier` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '类型（0只能查,1可查可控,2编辑组态）',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- ----------------------------
-- Records of role_menu
-- ----------------------------
BEGIN;
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (1, 1, 1834500910013743104, NULL, '2024-10-29 14:48:13', '2024-10-29 14:48:26');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (2, 1836575681450868736, 1834500910013743104, NULL, '2024-10-29 14:48:57', '2024-10-29 14:49:01');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (3, 1, 1834500987037941760, NULL, '2024-10-29 15:29:06', '2024-10-29 15:29:59');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (4, 1, 1834501029547212800, NULL, '2024-10-29 15:30:53', '2024-10-29 15:30:53');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (5, 1, 1834501061923045376, NULL, '2024-10-29 15:31:16', '2024-10-29 15:31:16');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (6, 1, 1834501113332629504, NULL, '2024-10-29 15:31:35', '2024-10-29 15:31:35');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (7, 1, 1834501151140085760, NULL, '2024-10-29 15:31:51', '2024-10-29 15:31:51');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (1851162080078462976, 1851162080074268672, 1834500910013743104, NULL, '2024-10-29 15:20:07', '2024-10-29 15:20:07');
COMMIT;

-- ----------------------------
-- Table structure for user
-- ----------------------------
DROP TABLE IF EXISTS `user`;
CREATE TABLE `user` (
  `id` bigint NOT NULL,
  `username` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '账户',
  `password` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '密码',
  `nickname` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '昵称',
  `phone` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '手机号',
  `picture` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '头像',
  `is_enable` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '是否启用（1启用，2冻结）',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- ----------------------------
-- Records of user
-- ----------------------------
BEGIN;
INSERT INTO `user` (`id`, `username`, `password`, `nickname`, `phone`, `picture`, `is_enable`, `create_time`, `update_time`) VALUES (1, 'admin', '7c4a8d09ca3762af61e59520943dc26494f8941b', 'admin', '13028138200', NULL, '1', '2024-08-30 10:17:10', '2024-10-25 10:14:24');
INSERT INTO `user` (`id`, `username`, `password`, `nickname`, `phone`, `picture`, `is_enable`, `create_time`, `update_time`) VALUES (1850801224132067328, 'test1', '7c4a8d09ca3762af61e59520943dc26494f8941b', '张四', '13012341234', NULL, '1', '2024-10-28 15:26:12', '2024-10-28 15:56:52');
INSERT INTO `user` (`id`, `username`, `password`, `nickname`, `phone`, `picture`, `is_enable`, `create_time`, `update_time`) VALUES (1850812935484473344, 'test2', '7c4a8d09ca3762af61e59520943dc26494f8941b', '王五', '13012341235', NULL, '1', '2024-10-28 16:12:44', '2024-10-28 16:12:44');
COMMIT;

-- ----------------------------
-- Table structure for user_operation_record
-- ----------------------------
DROP TABLE IF EXISTS `user_operation_record`;
CREATE TABLE `user_operation_record` (
  `id` bigint NOT NULL,
  `type` int DEFAULT NULL COMMENT '日志类型（1登录 ）',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '日志标题',
  `username` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '用户名',
  `uri` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '请求地址',
  `menu` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '菜单',
  `request` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '请求参数',
  `request_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '请求类型',
  `error_msg` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '错误消息',
  `cost_time` bigint DEFAULT NULL COMMENT '请求时间',
  `result` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '请求结果（0成功，1失败）',
  `ip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '登录ip',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- ----------------------------
-- Records of user_operation_record
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for user_role
-- ----------------------------
DROP TABLE IF EXISTS `user_role`;
CREATE TABLE `user_role` (
  `id` bigint NOT NULL,
  `user_id` bigint DEFAULT NULL COMMENT '用户id',
  `role_id` bigint DEFAULT NULL COMMENT '角色id',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- ----------------------------
-- Records of user_role
-- ----------------------------
BEGIN;
INSERT INTO `user_role` (`id`, `user_id`, `role_id`, `create_time`, `update_time`) VALUES (1, 1, 1, '2024-10-28 15:28:14', '2024-10-28 15:28:14');
INSERT INTO `user_role` (`id`, `user_id`, `role_id`, `create_time`, `update_time`) VALUES (1850808941676593152, 1850801224132067328, 1836575681450868736, '2024-10-28 15:56:52', '2024-10-28 15:56:52');
INSERT INTO `user_role` (`id`, `user_id`, `role_id`, `create_time`, `update_time`) VALUES (1850812935497056256, 1850812935484473344, 1836575681450868736, '2024-10-28 16:12:44', '2024-10-28 16:12:44');
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
